{% extends 'bootstrap/base.html' %}

{% block title %}
{% if title %}
{{ title }} - {% if config['APP_NAME'] %}{{ config['APP_NAME'] }}{% else %}Flask Base{% endif %}
{% else %}
_(Welcome to Flask Base){% endif %}
{% endblock %}


<!-- start block style -->
{% block styles %}
{{super()}}
<link rel="apple-touch-icon" sizes="180x180"
  href="{{ url_for('static', filename='img/favicon/apple-touch-icon.png') }}">
<link rel="icon" type="image/png" sizes="32x32"
  href="{{ url_for('static', filename='img/favicon/favicon-32x32.png') }}">
<link rel="icon" type="image/png" sizes="16x16"
  href="{{ url_for('static', filename='img/favicon/favicon-16x16.png') }}">
<link rel="manifest" href="{{ url_for('static', filename='img/favicon/site.webmanifest') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/sb-admin.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/custome.css') }}">
<link rel="stylesheet" type="text/css"
  href="{{ url_for('static', filename='fonts/font-awesome/css/font-awesome.min.css') }}">
<!-- DataTables -->
<link rel="stylesheet" type="text/css"
  href="{{ url_for('static', filename='vendor/DataTables/DataTables-1.10.21/css/dataTables.bootstrap.min.css') }}" />
<link rel="stylesheet" type="text/css"
  href="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/css/buttons.bootstrap.min.css') }}" />
{% endblock %}
<!-- end block style -->

<!-- start block body -->
{% block body %}
<div id="wrapper">
  <!-- start block navbar -->
  {% block navbar %}
  <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand"
        href="{{ url_for('mod_dashboard.index') }}">{% if config['APP_NAME'] %}{{ config['APP_NAME'] }}{% else %}Flask
        Base{% endif %}
        {% if config['ENV'] == 'development'%}<small>development</small>{% elif config['ENV'] == 'production'%}<small>production</small>{%else%}<small>not
          configure</small>{%endif%}</a>
    </div>
    <!-- Top Menu Items -->
    <ul class="nav navbar-right top-nav">
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-envelope"></i> <b
            class="caret"></b></a>
        <ul class="dropdown-menu message-dropdown">
          <li class="message-preview">
            <a href="#">
              <div class="media">
                <span class="pull-left">
                  <img class="media-object" src="http://placehold.it/50x50" alt="">
                </span>
                <div class="media-body">
                  <h5 class="media-heading">
                    <strong>John Smith</strong>
                  </h5>
                  <p class="small text-muted"><i class="fa fa-clock-o"></i> Yesterday at 4:32 PM</p>
                  <p>Lorem ipsum dolor sit amet, consectetur...</p>
                </div>
              </div>
            </a>
          </li>
          <li class="message-preview">
            <a href="#">
              <div class="media">
                <span class="pull-left">
                  <img class="media-object" src="http://placehold.it/50x50" alt="">
                </span>
                <div class="media-body">
                  <h5 class="media-heading">
                    <strong>John Smith</strong>
                  </h5>
                  <p class="small text-muted"><i class="fa fa-clock-o"></i> Yesterday at 4:32 PM</p>
                  <p>Lorem ipsum dolor sit amet, consectetur...</p>
                </div>
              </div>
            </a>
          </li>
          <li class="message-preview">
            <a href="#">
              <div class="media">
                <span class="pull-left">
                  <img class="media-object" src="http://placehold.it/50x50" alt="">
                </span>
                <div class="media-body">
                  <h5 class="media-heading">
                    <strong>John Smith</strong>
                  </h5>
                  <p class="small text-muted"><i class="fa fa-clock-o"></i> Yesterday at 4:32 PM</p>
                  <p>Lorem ipsum dolor sit amet, consectetur...</p>
                </div>
              </div>
            </a>
          </li>
          <li class="message-footer">
            <a href="#">Read All New Messages</a>
          </li>
        </ul>
      </li>
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-bell"></i> <b class="caret"></b></a>
        <ul class="dropdown-menu alert-dropdown">
          <li>
            <a href="#">Alert Name <span class="label label-default">Alert Badge</span></a>
          </li>
          <li>
            <a href="#">Alert Name <span class="label label-primary">Alert Badge</span></a>
          </li>
          <li>
            <a href="#">Alert Name <span class="label label-success">Alert Badge</span></a>
          </li>
          <li>
            <a href="#">Alert Name <span class="label label-info">Alert Badge</span></a>
          </li>
          <li>
            <a href="#">Alert Name <span class="label label-warning">Alert Badge</span></a>
          </li>
          <li>
            <a href="#">Alert Name <span class="label label-danger">Alert Badge</span></a>
          </li>
          <li class="divider"></li>
          <li>
            <a href="#">View All</a>
          </li>
        </ul>
      </li>
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i>
          {{ current_user.user_username }} <b class="caret"></b></a>
        <ul class="dropdown-menu">
          <li><a href="{{ url_for('mod_user.personal_profile') }}"><i class="fa fa-fw fa-user"></i>
              {{ _('Profil') }}</a></li>
          <li><a href="{{ url_for('mod_user.password') }}"><i class="fa fa-fw fa-key"></i> {{ _('Password') }}</a>
          </li>
          <li><a href="{{ url_for('mod_auth.logout') }}"><i class="fa fa-fw fa-power-off"></i> {{ _('Logout') }}</a>
          </li>
        </ul>
      </li>
    </ul>
    <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
    <div class="collapse navbar-collapse navbar-ex1-collapse">
      <ul class="nav navbar-nav side-nav">
        {% include 'back_office_components/_sidebar.html' %}
      </ul>
    </div>
    <!-- /.navbar-collapse -->
  </nav>
  {% endblock %}
  <!-- end block navbar -->

  <!-- start block content -->
  {% block content %}
  <div id="page-wrapper">
    <div class="container-fluid">
      <!-- Page Heading -->
      <div class="row">
        <div class="col-lg-12">
          <h1 class="page-header">
            {{ title }}
            <small>Subheading</small>
          </h1>
          <ol class="breadcrumb">
            {% if title != 'Dashboard' %}
            <li>
              <i class="fa fa-dashboard"></i> <a href="{{ url_for('mod_dashboard.index') }}">{{ _('Dashboard') }}</a>
            </li>
            {% endif %}
            <li class="active">
              <i class="fa fa-file"></i> {{ title }}
            </li>
          </ol>
        </div>
      </div>
      <!-- Flash Notification -->
      <div class="row">
        <div class="col-lg-12">
          {% include 'back_office_components/_alert.html' %}
        </div>
      </div>
      <!-- Content -->
      <div class="row">
        <div class="col-lg-12">
          {# application content needs to be provided in the app_content block #}
          {% block app_content %}{% endblock %}
        </div>
      </div>
      <!-- Content -->
      <div class="row">
        <div class="col-lg-12">
          <p class="text-muted">{% if config['APP_NAME'] %}{{ config['APP_NAME'] }}{% else %}Flask Base{% endif %} ©
            2020 - v0.1
            ({% if config['ENV'] == 'development'%}development{% elif config['ENV'] == 'production'%}production{%else%}not
            configure{%endif%})</p>
        </div>
      </div>
    </div>
  </div>
  {% endblock %}
  <!-- end block content -->
</div>

<!-- start block script -->
{% block scripts %}
{{ super() }}
{{ moment.include_moment() }}
{{ moment.locale(auto_detect=True) }}
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
<!-- Bootstrap core JavaScript
  ================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="{{ url_for('static', filename='js/jquery-3.5.1.js') }}" type="text/javascript"></script>
<!-- DataTables -->
<script src="{{ url_for('static', filename='vendor/DataTables/datatables.min.js') }}" type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/DataTables-1.10.21/js/dataTables.bootstrap.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/js/dataTables.buttons.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/js/buttons.bootstrap.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/JSZip-2.5.0/jszip.min.js') }}" type="text/javascript">
</script>
<script src="{{ url_for('static', filename='vendor/DataTables/pdfmake-0.1.36/pdfmake.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/pdfmake-0.1.36/vfs_fonts.js') }}" type="text/javascript">
</script>
<script src="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/js/buttons.html5.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/js/buttons.print.min.js') }}"
  type="text/javascript"></script>
<script src="{{ url_for('static', filename='vendor/DataTables/Buttons-1.6.2/js/buttons.colVis.min.js') }}"
  type="text/javascript"></script>
{% endblock %}
<!-- end block script -->

{% endblock %}
<!-- end block body -->
